Skip to main content
GET
Get a project member
A team member assigned to a project.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The project member uuid

Response

200

id
string

The unique identifier for the object.

typeId
enum<string>

The project member type.

Available options:
collaborator,
administrator
isActive
boolean

Whether the member is active on the project. Returns false when the member is deactivated on the project team or deactivated at the workspace level.

isBillable
boolean | null

Whether the member is billable on this project. Only used if the project is not using roles; otherwise billability is assigned at the role level and this field is null.

rate
number | null

The member's billing rate for the project. Only used if the project is not using roles and the member is billable; otherwise null. When Project Rate Cards is enabled, this is the rate on the rate card covering today; see rateCards for other periods.

overrideCostRate
boolean

Whether this project member's cost rate is overridden at the project member level rather than using the workspace or member default. When Project Rate Cards is enabled, this is the value on the rate card covering today; see rateCards for other periods.

costCurrency
string | null

The ISO 4217 currency code for the overridden cost rate. Only populated when overrideCostRate is true; otherwise null. When Project Rate Cards is enabled, this is the value on the rate card covering today.

costPerHour
number | null

The overridden cost per hour for this project member. Only populated when overrideCostRate is true; otherwise null. When Project Rate Cards is enabled, this is the value on the rate card covering today.

overheadCostPerHour
number | null

The overridden overhead cost per hour for this project member. Only populated when overrideCostRate is true; otherwise null. When Project Rate Cards is enabled, this is the value on the rate card covering today.

createdAt
string<date-time>

The timestamp when the object was created.

member
object

The workspace member assigned to this project.

project
object

The project this member belongs to.

roles
object[] | null

The project roles assigned to this member. null when the project does not use roles.

budget
object | null

The member's budget hours for the project. null when the project does not use a budget or uses roles.

monthlyBudget
object | null

The member's monthly budget hours for the project. null when the project does not use a monthly budget in detailed mode or uses roles.

rateCards
object[] | null

The member's rates on each project rate card, earliest first. null if the Project Rate Cards feature is not enabled.